
#include <iostream>
#include "netcdf.h"

#include "gridded_input.h"

using namespace std;
using namespace glm;

namespace glm {
   
template <>
void GriddedInput<double>::readVar (size_t start[], size_t count[], double* buffer) {
   int status = nc_get_vara_double(ncID_, varID_, start, count, buffer);
   check_err(status,__LINE__,__FILE__);
}

template <>
void GriddedInput<int>::readVar (size_t start[], size_t count[], int* buffer) {
   int status = nc_get_vara_int(ncID_, varID_, start, count, buffer);
   check_err(status,__LINE__,__FILE__);
}

template <>
void GriddedInput<double>::readVar (int ncid, int varid, size_t start[], size_t count[], double* buffer) {
   int status = nc_get_vara_double(ncid, varid, start, count, buffer);
   check_err(status,__LINE__,__FILE__);
}

template <>
void GriddedInput<int>::readVar (int ncid, int varid, size_t start[], size_t count[], int* buffer) {
   int status = nc_get_vara_int(ncid, varid, start, count, buffer);
   check_err(status,__LINE__,__FILE__);
}

}
